4 Replies Latest reply on Nov 29, 2006 12:10 PM by Marco

    1.0.4 integration problem with EJB-3RC8

    Novice

      javax.jws.WebService is also in ejb3.deployer/jboss-ejb3.jar and this version is incompatible with the one in jbossws.sar/jboss-jaxws.jar. This leads to

      [exec] java.lang.NoSuchMethodError: javax.jws.WebService.portName()Ljava/lang/String;
      [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilder.setupEndpointFromAnnotations(JSR181MetaDataBuilder.java:143)
      [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilderEJB3.buildMetaData(JSR181MetaDataBuilderEJB3.java:75)
      [exec] at org.jboss.ws.deployment.ServiceEndpointDeployer.create(ServiceEndpointDeployer.java:106)
      [exec] at org.jboss.ws.integration.jboss.DeployerInterceptor.create(DeployerInterceptor.java:80)
      [exec] at org.jboss.ws.integration.jboss.DeployerInterceptorEJB.create(DeployerInterceptorEJB.java:44)
      [exec] at org.jboss.deployment.SubDeployerInterceptorSupport$XMBeanInterceptor.create(SubDeployerInterceptorSupport.java:180)
      [exec] at org.jboss.deployment.SubDeployerInterceptor.invoke(SubDeployerInterceptor.java:91)

      The EJB3 package needs to be updated with the new version of the annotation.

        • 1. Re: 1.0.4 integration problem with EJB-3RC8
          Thomas Diesler Master

          The javax.jws.* classes in jboss-ejb3.jar are stale and should be removed. jboss-jws.xml contains the updated/supported jws annotations.

          • 2. Re: 1.0.4 integration problem with EJB-3RC8
            Novice

            changing the EJB3 package doesn't help:

            [exec] org.jboss.ws.WSException: No wrapped types available
            [exec] at org.jboss.ws.jaxrpc.ParameterWrapping.generateWrapper(ParameterWrapping.java:463)
            [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilder.processWebMethod(JSR181MetaDataBuilder.java:437)
            [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilder.processWebMethods(JSR181MetaDataBuilder.java:257)
            [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilder.setupEndpointFromAnnotations(JSR181MetaDataBuilder.java:173)
            [exec] at org.jboss.ws.deployment.JSR181MetaDataBuilderEJB3.buildMetaData(JSR181MetaDataBuilderEJB3.java:75)
            [exec] at org.jboss.ws.deployment.ServiceEndpointDeployer.create(ServiceEndpointDeployer.java:106)
            [exec] at org.jboss.ws.integration.jboss.DeployerInterceptor.create(DeployerInterceptor.java:80)
            [exec] at org.jboss.ws.integration.jboss.DeployerInterceptorEJB.create(DeployerInterceptorEJB.java:44)
            [exec] at org.jboss.deployment.SubDeployerInterceptorSupport$XMBeanInterceptor.create(SubDeployerInterceptorSupport.java:180)
            [exec] at org.jboss.deployment.SubDeployerInterceptor.invoke(SubDeployerInterceptor.java:91)

            Maybe I should upgrade to a later EJB3 release?

            • 3. Re: 1.0.4 integration problem with EJB-3RC8
              Chris Paton Newbie

              Hi there,

              I'm having exactly the same exception as oglueck when trying to run JBossWS 1.0.4 on JBoss 4.0.4.GA (running on Win32). I tried removing javax.jws package from ejb3.deployer/jboss-ejb3.jar and also got oglueck's "No wrapped types available" exception.

              Did anyone find a solution to this problem?

              Cheers,
              Chris

              • 4. Re: 1.0.4 integration problem with EJB-3RC8
                Marco Novice

                Hello,
                got same problems and found solution

                it is in this thread

                http://www.jboss.com/index.html?module=bb&op=viewtopic&t=95953

                hth
                marco